Package org.apache.qpid.proton.engine

# Enum Event.Type

java.lang.Object
java.lang.Enum<Event.Type>
org.apache.qpid.proton.engine.Event.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Event.Type>`, `EventType`

Enclosing interface:
  `Event`

public static enum Event.Type extends Enum<Event.Type> implements EventType
Event types built into the library.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONNECTION_BOUND`
`CONNECTION_FINAL`
`CONNECTION_INIT`
`CONNECTION_LOCAL_CLOSE`
`CONNECTION_LOCAL_OPEN`
`CONNECTION_REMOTE_CLOSE`
`CONNECTION_REMOTE_OPEN`
`CONNECTION_UNBOUND`
`DELIVERY`
`LINK_FINAL`
`LINK_FLOW`
`LINK_INIT`
`LINK_LOCAL_CLOSE`
`LINK_LOCAL_DETACH`
`LINK_LOCAL_OPEN`
`LINK_REMOTE_CLOSE`
`LINK_REMOTE_DETACH`
`LINK_REMOTE_OPEN`
`NON_CORE_EVENT`
This value must never be used to generate an event, it's only used as a guard when casting custom EventTypes to core `Event.Type` via `Event.getType()`.
`REACTOR_FINAL`
`REACTOR_INIT`
`REACTOR_QUIESCED`
`SELECTABLE_ERROR`
`SELECTABLE_EXPIRED`
`SELECTABLE_FINAL`
`SELECTABLE_INIT`
`SELECTABLE_READABLE`
`SELECTABLE_UPDATED`
`SELECTABLE_WRITABLE`
`SESSION_FINAL`
`SESSION_INIT`
`SESSION_LOCAL_CLOSE`
`SESSION_LOCAL_OPEN`
`SESSION_REMOTE_CLOSE`
`SESSION_REMOTE_OPEN`
`TIMER_TASK`
`TRANSPORT`
`TRANSPORT_CLOSED`
`TRANSPORT_ERROR`
`TRANSPORT_HEAD_CLOSED`
`TRANSPORT_TAIL_CLOSED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValid()`
`static Event.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Event.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REACTOR_INIT

public static final Event.Type REACTOR_INIT

### REACTOR_QUIESCED

public static final Event.Type REACTOR_QUIESCED

### REACTOR_FINAL

public static final Event.Type REACTOR_FINAL

### TIMER_TASK

public static final Event.Type TIMER_TASK

### CONNECTION_INIT

public static final Event.Type CONNECTION_INIT

### CONNECTION_BOUND

public static final Event.Type CONNECTION_BOUND

### CONNECTION_UNBOUND

public static final Event.Type CONNECTION_UNBOUND

### CONNECTION_LOCAL_OPEN

public static final Event.Type CONNECTION_LOCAL_OPEN

### CONNECTION_REMOTE_OPEN

public static final Event.Type CONNECTION_REMOTE_OPEN

### CONNECTION_LOCAL_CLOSE

public static final Event.Type CONNECTION_LOCAL_CLOSE

### CONNECTION_REMOTE_CLOSE

public static final Event.Type CONNECTION_REMOTE_CLOSE

### CONNECTION_FINAL

public static final Event.Type CONNECTION_FINAL

### SESSION_INIT

public static final Event.Type SESSION_INIT

### SESSION_LOCAL_OPEN

public static final Event.Type SESSION_LOCAL_OPEN

### SESSION_REMOTE_OPEN

public static final Event.Type SESSION_REMOTE_OPEN

### SESSION_LOCAL_CLOSE

public static final Event.Type SESSION_LOCAL_CLOSE

### SESSION_REMOTE_CLOSE

public static final Event.Type SESSION_REMOTE_CLOSE

### SESSION_FINAL

public static final Event.Type SESSION_FINAL

### LINK_INIT

public static final Event.Type LINK_INIT

### LINK_LOCAL_OPEN

public static final Event.Type LINK_LOCAL_OPEN

### LINK_REMOTE_OPEN

public static final Event.Type LINK_REMOTE_OPEN

### LINK_LOCAL_DETACH

public static final Event.Type LINK_LOCAL_DETACH

### LINK_REMOTE_DETACH

public static final Event.Type LINK_REMOTE_DETACH

### LINK_LOCAL_CLOSE

public static final Event.Type LINK_LOCAL_CLOSE

### LINK_REMOTE_CLOSE

public static final Event.Type LINK_REMOTE_CLOSE

### LINK_FLOW

public static final Event.Type LINK_FLOW

### LINK_FINAL

public static final Event.Type LINK_FINAL

### DELIVERY

public static final Event.Type DELIVERY

### TRANSPORT

public static final Event.Type TRANSPORT

### TRANSPORT_ERROR

public static final Event.Type TRANSPORT_ERROR

### TRANSPORT_HEAD_CLOSED

public static final Event.Type TRANSPORT_HEAD_CLOSED

### TRANSPORT_TAIL_CLOSED

public static final Event.Type TRANSPORT_TAIL_CLOSED

### TRANSPORT_CLOSED

public static final Event.Type TRANSPORT_CLOSED

### SELECTABLE_INIT

public static final Event.Type SELECTABLE_INIT

### SELECTABLE_UPDATED

public static final Event.Type SELECTABLE_UPDATED

### SELECTABLE_READABLE

public static final Event.Type SELECTABLE_READABLE

### SELECTABLE_WRITABLE

public static final Event.Type SELECTABLE_WRITABLE

### SELECTABLE_EXPIRED

public static final Event.Type SELECTABLE_EXPIRED

### SELECTABLE_ERROR

public static final Event.Type SELECTABLE_ERROR

### SELECTABLE_FINAL

public static final Event.Type SELECTABLE_FINAL

### NON_CORE_EVENT

public static final Event.Type NON_CORE_EVENT
This value must never be used to generate an event, it's only used as a guard when casting custom EventTypes to core `Event.Type` via `Event.getType()`.

## Method Details

### values

public static Event.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Event.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isValid

public boolean isValid()

Specified by:
  `isValid` in interface `EventType`
Returns:
  false if this particular EventType instance does not represent a real event type but a guard value, example: extra enum value for switch statements, see `NON_CORE_EVENT`